Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class CookiesImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.CookiesImpl

All Implemented Interfaces:
  Cookies

    public class CookiesImpl

extends java.lang.Object
implements Cookies

Implementation of the `Cookies` service interface.

Constructor Summary
`CookiesImpl(Request request, CookieSource cookieSource, CookieSink cookieSink, long defaultMaxAge)`

Method Summary
`java.lang.String` | `readCookieValue(java.lang.String name)` Returns the value of the first cookie whose name matches.
`void` | `removeCookieValue(java.lang.String name)` Removes a previously written cookie, by writing a new cookie with a maxAge of 0.
`void` | `writeCookieValue(java.lang.String name, java.lang.String value)` Creates or updates a cookie value.
`void` | `writeCookieValue(java.lang.String name, java.lang.String value, int maxAge)` As with `Cookies.writeCookieValue(String, String)` but an explicit maximum age may be set.
`void` | `writeCookieValue(java.lang.String name, java.lang.String value, java.lang.String path)` As with `Cookies.writeCookieValue(String, String)` but an explicit path may be set.
`void` | `writeCookieValue(java.lang.String name, java.lang.String value, java.lang.String path, java.lang.String domain)` As with `Cookies.writeCookieValue(String, String, String)` but an explicit domain and path may be set.
`void` | `writeDomainCookieValue(java.lang.String name, java.lang.String value, java.lang.String domain)` As with `Cookies.writeCookieValue(String, String)` but an explicit domain may be set.
`void` | `writeDomainCookieValue(java.lang.String name, java.lang.String value, java.lang.String domain, int maxAge)` As with `Cookies.writeCookieValue(String, String)` but an explicit domain and maximum age may be set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookiesImpl

    public CookiesImpl(Request request,
                       CookieSource cookieSource,
                       CookieSink cookieSink,
                       @Symbol(value="tapestry.default-cookie-max-age")@IntermediateType(value=TimeInterval.class)
                       long defaultMaxAge)

Parameters:
  `request` -
  `cookieSource` -
  `cookieSink` -
  `defaultMaxAge` - default cookie expiration time in milliseconds

Method Detail

### readCookieValue

    public java.lang.String readCookieValue(java.lang.String name)

  Description copied from interface: `Cookies`
  Returns the value of the first cookie whose name matches. Returns null if no such cookie exists. This method is only aware of cookies that are part of the incoming request; it does not know about additional cookies added since then (via `Cookies.writeCookieValue(String, String)`).

  Specified by:
    `readCookieValue` in interface `Cookies`

### writeCookieValue

    public void writeCookieValue(java.lang.String name,
                                 java.lang.String value)

  Description copied from interface: `Cookies`
  Creates or updates a cookie value. The value is stored using a max age (in seconds) defined by the symbol `org.apache.tapestry5.default-cookie-max-age`. The factory default for this value is the equivalent of one week.

  Specified by:
    `writeCookieValue` in interface `Cookies`

### writeCookieValue

    public void writeCookieValue(java.lang.String name,
                                 java.lang.String value,
                                 int maxAge)

  Description copied from interface: `Cookies`
  As with `Cookies.writeCookieValue(String, String)` but an explicit maximum age may be set.

  Specified by:
    `writeCookieValue` in interface `Cookies`
  Parameters:
    `name` - the name of the cookie
    `value` - the value to be stored in the cookie
    `maxAge` - the maximum age, in seconds, to store the cookie

### writeCookieValue

    public void writeCookieValue(java.lang.String name,
                                 java.lang.String value,
                                 java.lang.String path)

  Description copied from interface: `Cookies`
  As with `Cookies.writeCookieValue(String, String)` but an explicit path may be set.

  Specified by:
    `writeCookieValue` in interface `Cookies`

### writeDomainCookieValue

    public void writeDomainCookieValue(java.lang.String name,
                                       java.lang.String value,
                                       java.lang.String domain)

  Description copied from interface: `Cookies`
  As with `Cookies.writeCookieValue(String, String)` but an explicit domain may be set.

  Specified by:
    `writeDomainCookieValue` in interface `Cookies`

### writeDomainCookieValue

    public void writeDomainCookieValue(java.lang.String name,
                                       java.lang.String value,
                                       java.lang.String domain,
                                       int maxAge)

  Description copied from interface: `Cookies`
  As with `Cookies.writeCookieValue(String, String)` but an explicit domain and maximum age may be set.

  Specified by:
    `writeDomainCookieValue` in interface `Cookies`

### writeCookieValue

    public void writeCookieValue(java.lang.String name,
                                 java.lang.String value,
                                 java.lang.String path,
                                 java.lang.String domain)

  Description copied from interface: `Cookies`
  As with `Cookies.writeCookieValue(String, String, String)` but an explicit domain and path may be set.

  Specified by:
    `writeCookieValue` in interface `Cookies`

### removeCookieValue

    public void removeCookieValue(java.lang.String name)

  Description copied from interface: `Cookies`
  Removes a previously written cookie, by writing a new cookie with a maxAge of 0.

  Specified by:
    `removeCookieValue` in interface `Cookies`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.